## makepatch 2.03

=== debian/changelog ===
makepatch (2.03-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.7.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper dependency to >= 7, since that's what is used
    in debian/compat.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Name in debian/copyright.
  * Corrected formatting for d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Oct 2024 07:56:07 +0200

makepatch (2.03-3) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007431).
  * d/watch: Drop because it is non-functional.

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 21:23:06 +0200

makepatch (2.03-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #862648)
  * debian/rules: Add build-{arch,indep}. (Closes: #999247)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Dec 2021 22:14:29 +0200

makepatch (2.03-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22 in experimental (MakeMaker changes)":
    use DESTDIR in debian/rules.
    (Closes: #795626)

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Aug 2015 18:01:41 +0200

makepatch (2.03-1) unstable; urgency=low

  * New upstream release.
  * My changes to remove warnings are no longer necessary.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Change debhelper compatibility level from 3 to 7.

 -- Roderick Schertler <roderick@argon.org>  Wed, 23 Jul 2008 10:14:30 -0400

makepatch (2.00.12-1) unstable; urgency=low

  * New upstream release.
  * Remove warnings in makepatch:
    - Use IO::File rather than IO.
    - Don't use pseudo-hashes.
  * Convert changelog to UTF-8.
  * Remove change list from copyright.  The only difference is that the
    scripts use /tmp rather than /usr/tmp by default.

 -- Roderick Schertler <roderick@argon.org>  Mon, 23 Aug 2004 10:11:18 -0400

makepatch (2.00.09-1.1) unstable; urgency=low

  * Sponsored Non-maintainer upload by Alexander Wirt <formorer@debian.org>
  * applypatch: "use IO::File", not "use IO" 'cause the latter is deprecated
    (Closes: #223188)
  * debian/control:
    - Moved perl to B-D-I
    - Bumped Standards-Version (no other changes)

 -- Marc Brockschmidt <marc@dch-faq.de>  Sat, 13 Dec 2003 17:49:42 +0100

makepatch (2.00.09-1) unstable; urgency=low

  * New upstream release.

 -- Roderick Schertler <roderick@argon.org>  Fri, 20 Sep 2002 09:39:03 -0400

makepatch (2.00.08-1) unstable; urgency=low

  * New upstream release.

 -- Roderick Schertler <roderick@argon.org>  Fri, 23 Aug 2002 08:32:44 -0400

makepatch (2.00.03-1) unstable; urgency=medium

  * New upstream version.
  * Update to policy 3.5.2.
  * Update to latest Perl policy.

 -- Roderick Schertler <roderick@argon.org>  Tue, 13 Mar 2001 21:00:20 -0500

makepatch (2.00a-3) unstable; urgency=medium

  * Move man pages to /usr/share/man (closes: #81443).
  * Update standards version to 3.2.1 (no changes).

 -- Roderick Schertler <roderick@argon.org>  Fri,  9 Feb 2001 23:52:28 -0500

makepatch (2.00a-2) unstable; urgency=medium

  * Don't run -B on a filehandle, patch from Raphaël Hertzog
    <rhertzog@hrnet.fr> (closes: #41624).

 -- Roderick Schertler <roderick@argon.org>  Fri, 30 Jul 1999 10:12:45 -0400

makepatch (2.00a-1) unstable; urgency=low

  * New upstream release.
  * Simple updates for 3.0.0 standards.
  * Simple updates for new Perl policy.

 -- Roderick Schertler <roderick@argon.org>  Thu, 15 Jul 1999 11:07:36 -0400

makepatch (1.93-1) unstable; urgency=low

  * New upstream release.
  * Oops, move Depends to binary package section of control file, and add
    perl dependency.

 -- Roderick Schertler <roderick@argon.org>  Tue,  6 Oct 1998 19:31:52 -0400

makepatch (1.13-3) frozen unstable; urgency=low

  * Oops, upload to frozen in addition to unstable.  This version contains
    only two bug fixes, one is for a security hole (#21563).
  * Update the list of changes from the standard distribution in the
    copyright file.

 -- Roderick Schertler <roderick@argon.org>  Fri, 22 May 1998 11:06:24 -0400

makepatch (1.13-2) unstable; urgency=low

  * Use tempfile for temporary files (closes: #21563).
  * Messages sent to stderr weren't working properly if stdout and stderr
    were both connected to a terminal, fix and send patch upstream.
  * Update Standards-Version to 2.4.1.0 (no changes).

 -- Roderick Schertler <roderick@argon.org>  Fri, 22 May 1998 10:39:48 -0400

makepatch (1.13-1) unstable; urgency=low

  * Initial version.

 -- Roderick Schertler <roderick@argon.org>  Sun,  1 Mar 1998 10:09:06 -0500

$Id: changelog,v 1.17 2008-07-23 14:28:30 roderick Exp $
