=== debian/control ===
Source: makepatch
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl (>= 5.6.0-16),
Vcs-Browser: https://salsa.debian.org/debian/makepatch
Vcs-Git: https://salsa.debian.org/debian/makepatch.git

Package: makepatch
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: generate/apply patch files with more functionality than plain diff
 This package contains a pair of programs, makepatch and applypatch, to
 assist in the generation and application of patch kits to synchronise
 source trees.
 .
 makepatch knows about common conventions for patch kits (it generates
 Index: and Prereq: lines, it patches patchlevel.h first, it can use
 manifest files), plus it prepends some shell code which if run will
 take care adding directories, removing files, setting execute mode on
 scripts, and the like.
 .
 applypatch uses some extra data supplied by makepatch to verify both the
 patch and the source directory before applying the patch.  Afterwards it
 will clean up the directory tree plus fix up the permissions and even
 the timestamps on the patched files.
