=== debian/rules ===
#!/usr/bin/make -f

# $Id: rules,v 1.7 2008-07-23 14:28:30 roderick Exp $

dt		:= debian/makepatch
prefix		 = `pwd`/$(dt)
stamp_build	:= debian/stamp.build
stamp_install	:= debian/stamp.install
clean		:= $(stamp_build) $(stamp_install) t/d1/tdata2 t/d2/tdata2

ifneq "" "$(findstring debug,$(DEB_BUILD_OPTIONS))"
    CFLAGS		+= -g
endif
PERL			?= perl

build: $(stamp_build)
$(stamp_build):
	dh_testdir
	$(PERL) Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="-O2 -Wall $(CFLAGS)"
	$(MAKE) test
	touch $@

install: $(stamp_install)
$(stamp_install): $(stamp_build)
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(prefix)
	find $(prefix) -depth -type d -print0 | \
	    xargs -0r rmdir --ignore-fail-on-non-empty
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) realclean
	dh_clean $(clean)

binary: binary-indep binary-arch
binary-arch:
binary-indep: $(stamp_install)
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
.PHONY: build build-arch build-indep install clean binary-indep binary-arch binary
